! KROME BOOTCAMP 2014
! PROBLEM 1
program dyson
  use krome_main
  use krome_user
  implicit none
  real*8::x(krome_nmols),t,dt,Tgas,spy
  integer::i,val

  !init KROME
  call krome_init()

  !alias
  spy = krome_seconds_per_year !s/yr

  !init variables
  Tgas = 3d2 !K
  t = 0d0 !s
  dt = spy*1d-6 !s

  !init species
  !#####INSERT INITIALIZATION HERE####

  !loop on time
  do
     !increase dt
     dt = dt * 1.1d0

     !call KROME
     !######INSERT CALL TO KROME HERE#####

     !write output
     write(66,'(99E17.8e3)') t/spy,Tgas,x(:)

     !increase timestep
     t = t + dt

     !quit after a lot of time
     if(t>spy*1d10) exit
  end do


  !say goodbye
  print *,"done! bye!"

end program dyson
